#!/bin/sh

set -e

CONF_FILE=/etc/neutron/metadata_agent.ini

#PKGOS-INCLUDE#

manage_metadata_proxy_shared_secret () {
	db_get neutron-metadata/metadata_secret
	pkgos_inifile set ${CONF_FILE} DEFAULT metadata_proxy_shared_secret ${RET}
	db_get neutron-metadata/nova_metadata_host
	pkgos_inifile set ${CONF_FILE} DEFAULT nova_metadata_host ${RET}
}

if [ "${1}" = "configure" ] ; then
	. /usr/share/debconf/confmodule
	pkgos_var_user_group neutron
	chmod 755 /var/lib/neutron

	if [ ! -e ${CONF_FILE} ] ; then
		install -D -m 0640 -o neutron -g neutron /usr/share/neutron-metadata-agent/metadata_agent.ini ${CONF_FILE}
	fi
	db_get neutron-metadata/configure
	if [ "${RET}" = "true" ] ; then
		manage_metadata_proxy_shared_secret
	fi
	db_stop
fi

#DEBHELPER#

exit 0
